Skip to main content
POST
/
schedule
/
v1
/
entity-schedule-templates
Create employee schedule template
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/entity-schedule-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scheduleTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Data to create a employee schedule template

employeeId
string<uuid>
required

Employee UUID

scheduleTemplateId
string<uuid>
required

Schedule template UUID

startDate
string<date>
required

Start date

endDate
string<date>

End date

Response

200 - application/json

Employee schedule template created

id
string<uuid>